Substy Developers
Scripts

Update script message

Update a sales-script message template's content, media, pricing and other supplied settings. This changes the template rather than messages already sent to fans.

PATCH/v1/agencies/{agencyId}/creators/{creatorId}/script-templates/{templateId}

Update a sales-script message template's content, media, pricing and other supplied settings. This changes the template rather than messages already sent to fans.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
templateId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/agencies/string/creators/string/script-templates/string" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "template": {      "name": "string",      "price": 0,      "scriptId": "string",      "content": "string",      "medias": [        {          "id": "string",          "price": 0,          "type": "PHOTO",          "files": {            "preview": "string",            "thumb": "string",            "full": "string"          },          "createdAt": "string"        }      ],      "basePrice": 0,      "maxPrice": 0,      "postMediaMessages": [        {          "waitTime": 0        }      ]    }  }'
{  "data": {    "medias": [      {        "media": {          "type": "PHOTO",          "context": null,          "creatorId": null,          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "price": 0,          "duration": null,          "basePrice": 0,          "maxPrice": 0,          "creatorTags": [            "string"          ],          "isSoloPpv": true,          "tags": [            "string"          ]        },        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "position": 0,        "isPreview": true,        "messageTemplateId": "string",        "mediaId": "string"      }    ],    "postMediaMessages": [      {        "media": [          {            "type": "PHOTO",            "context": null,            "creatorId": null,            "id": "string",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "price": 0,            "duration": null,            "basePrice": 0,            "maxPrice": 0,            "creatorTags": [              "string"            ],            "isSoloPpv": true,            "tags": [              "string"            ]          }        ],        "message": null,        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "language": null,        "position": 0,        "messageTemplateId": "string",        "waitTime": 0,        "doNotSendIfRead": true,        "doNotSendIfReply": true,        "doNotSendIfPaid": true      }    ],    "name": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "imported": true,    "importedAt": null,    "language": null,    "position": 0,    "scriptId": "string",    "price": 0,    "content": "string",    "pricingMode": "FIXED",    "basePrice": 0,    "maxPrice": 0,    "creatorTags": [      "string"    ],    "intervalMin": null,    "intervalMax": null,    "isAiCaption": true,    "isLockedText": true  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}